%global enable_cvt 0

Name:      libxcvt
Version:   0.1.1
Release:   2
Summary:   VESA CVT standard timing modelines generator
License:   MIT
URL:       https://gitlab.freedesktop.org/xorg/lib/libxcvt/
Source0:   https://xorg.freedesktop.org/archive/individual/lib/%{name}-%{version}.tar.xz

BuildRequires: gcc
BuildRequires: meson

%description
libxcvt is a library providing a standalone version of the X server
implementation of the VESA CVT standard timing modelines generator.

%package devel
Summary: Development package
Requires: pkgconfig

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%if %{enable_cvt}
%package -n cvt
Summary: Command line tool to calculate VESA CVT mode lines
Conflicts: xorg-x11-server-Xorg < 1.21

%description -n cvt
A standalone version of the command line tool cvt copied from the Xorg
implementation and is meant to be a direct replacement to the version
provided by the Xorg server.
%endif

%prep
%autosetup -n %{name}-%{version}

%build
%if !%{enable_cvt}
sed -i "/subdir('cvt')/d" meson.build
%endif

%meson
%meson_build

%install
%meson_install

%files
%doc COPYING
%{_libdir}/libxcvt.so.*

%files devel
%{_libdir}/pkgconfig/libxcvt.pc
%dir %{_includedir}/libxcvt
%{_includedir}/libxcvt/*.h
%{_libdir}/libxcvt.so

%if %{enable_cvt}
%files -n cvt
%{_bindir}/cvt
%{_mandir}/man1/cvt.1*
%else
%exclude %{_mandir}/man1/cvt.1*
%endif

%changelog
* Wed Jul 27 2022 lin zhang <lin.zhang@turbolinux.com.cn> - 0.1.1-2
- remove cvt subpackage
- fix issue #I5J3LC

* Mon Mar 28 2022 lin zhang <lin.zhang@turbolinux.com.cn> - 0.1.1-1
- Initial Packaging
